Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor::ForwardRequest Exception Reference

`#include <PortableInterceptorC.h>`

List of all members.

## Public Methods
| ForwardRequest (void)
| ForwardRequest (const ForwardRequest &)
| ~ForwardRequest (void)
ForwardRequest & | operator= (const ForwardRequest &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void)
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL_NOT_USED) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL_NOT_USED)
| ForwardRequest (const CORBA::Object_ptr _tao_forward, CORBA::Boolean _tao_permanent)
virtual CORBA::TypeCode_ptr | _type (void) const
## Static Public Methods
void | _tao_any_destructor (void *)
ForwardRequest * | _downcast (CORBA::Exception *)
CORBA::Exception * | _alloc (void)
## Public Attributes
Object | forward
boolean | permanent
CORBA::Object_var | forward
CORBA::Boolean | permanent

## Constructor & Destructor Documentation

PortableInterceptor::ForwardRequest::ForwardRequest | ( | void |  | ) |

PortableInterceptor::ForwardRequest::ForwardRequest | ( | const ForwardRequest & |  | ) |

PortableInterceptor::ForwardRequest::~ForwardRequest | ( | void |  | ) |

PortableInterceptor::ForwardRequest::ForwardRequest | ( | const CORBA::Object_ptr | _tao_forward,
|  | CORBA::Boolean | _tao_permanent
| ) |

## Member Function Documentation

CORBA::Exception* PortableInterceptor::ForwardRequest::_alloc | ( | void |  | ) | `[static]`

ForwardRequest* PortableInterceptor::ForwardRequest::_downcast | ( | CORBA::Exception * |  | ) | `[static]`

virtual void PortableInterceptor::ForwardRequest::_raise | ( | void |  | ) | `[virtual]`

void PortableInterceptor::ForwardRequest::_tao_any_destructor | ( | void * |  | ) | `[static]`

virtual void PortableInterceptor::ForwardRequest::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

virtual CORBA::Exception* PortableInterceptor::ForwardRequest::_tao_duplicate | ( | void |  | ) | const`[virtual]`

virtual void PortableInterceptor::ForwardRequest::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL_NOT_USED | ) | const`[virtual]`

virtual CORBA::TypeCode_ptr PortableInterceptor::ForwardRequest::_type | ( | void |  | ) | const`[virtual]`

ForwardRequest& PortableInterceptor::ForwardRequest::operator= | ( | const ForwardRequest & |  | ) |

## Member Data Documentation

CORBA::Object_var PortableInterceptor::ForwardRequest::forward

Object PortableInterceptor::ForwardRequest::forward

CORBA::Boolean PortableInterceptor::ForwardRequest::permanent

boolean PortableInterceptor::ForwardRequest::permanent

The documentation for this exception was generated from the following files:

- PortableInterceptor.pidl
- PortableInterceptorC.h